/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

/** How many chips each player has by defautl */
#define POKER_BET_PLAYER_CHIPS_DEFAULT 10000

/** The default blind cost for the big blind. */
#define POKER_BET_BLIND_BIG_DEFAULT 600

/** The default blind cost for the small blind. (Defaults half big blind) */
#define POKER_BET_BLIND_SMALL_DEFAULT (POKER_BET_BLIND_BIG_DEFAULT/2)

typedef struct {
  /** Blinds */
  uint32_t blindSmall, blindBig;
  
  /** For Betting round, which player is currently betting */
  uint8_t better;

  /** Current pot of chips */
  uint32_t pot;
} pokerbet_t;