/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "pokergameassets.h"
#include "../../poker/poker.h"
#include "../../vn/conversation/talk.h"
#include "../../vn/vnscene.h"
#include "actions/start.h"
#include "pokerui.h"

#include "../../ui/frame.h"

/**
 * Initializes the game state for the poker game.
 * 
 * @param game Game to initialize.
 * @returns True if successful, otherwise false.
 */
bool pokerGameInit(game_t *game);

/**
 * Updates the poker game instance.
 * @param game Game to update for.
 */
void pokerGameUpdate(game_t *game);

/**
 * Disposes a previously initialized poker game instance.
 * @param game Game to initialize for.
 */
void pokerGameDispose(game_t *game);