// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <dawn/dawn.h>
#include "../../display/animation/queue.h"

/** Callback for when the poker match aciton starts */
void _pokerActionMatchOnStart(queue_t *queue, queueaction_t *action, uint8_t i);

/**
 * Adds a Poker Match Begin Action onto a queue.
 * 
 * @param queue Queue to add to
 * @param poker Poker game instance to use.
 * @return The queued match start action.
 */
queueaction_t * pokerActionMatchAdd(queue_t *queue, poker_t *poker);