/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include <dawn/dawn.h>
#include "card.h"

/**
 * Returns true if the player is still alive and in the current game/
 * Defined as: Not out, not folded.
 * 
 * @param player Player to check
 * @returns True if alive/in teh current game.
 */
bool pokerPlayerIsAlive(pokerplayer_t *player);

/**
 * Returns true if the player provided is human or not.
 * 
 * @param poker Poker game instance.
 * @param player Player instance.
 * @returns True if the player is human.
 */
bool pokerPlayerIsHuman(poker_t *poker, pokerplayer_t *player);

/**
 * Resets a poker player's state (for a new round).
 * 
 * @param player Player to reset.
 */
void pokerPlayerReset(pokerplayer_t *player);