/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../file/asset.h"
#include "../../display/shader.h"
#include "../../display/primitive.h"
#include "../../display/tileset.h"
#include "../../display/primitives/quad.h"

/**
 * Initializes the player renderer.
 * @param poker Poker game context.
 */
void pokerPlayerInit(poker_t *poker);

/**
 * Returns the seat index for a given player.
 * @param player Player to get the seat for.
 * @return Seat ID for the given player.
 */
uint8_t pokerPlayerGetSeatForPlayer(uint8_t player);

/**
 * Render's a player at a seat.
 * @param poker Poker game context.
 * @param seat Seat to render the player at.
 */
void pokerPlayerRender(poker_t *poker, pokerplayer_t *player, uint8_t seat);