/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../assets/models/pokertable.h"
#include "../../display/shader.h"
#include "../../display/primitive.h"
#include "../../display/texture.h"
#include "../../file/asset.h"

/**
 * Initializes the world renderer.
 * @param poker Poker scene to initialize.
 */
void pokerWorldInit(poker_t *poker);

/**
 * Renders the world.
 * @param poker Poker scene to render.
 */
void pokerWorldRender(poker_t *poker);

/**
 * Disposes a poker world.
 * @param poker Poker game to cleanup the world for.
 */
void pokerWorldDispose(poker_t *poker);